scala.collection.mutable

# BitSet

#### class BitSet extends AbstractSet[Int] with SortedSet[Int] with collection.BitSet with BitSetLike[BitSet] with SetLike[Int, BitSet] with Serializable

A class for mutable bitsets.

Bitsets are sets of non-negative integers which are represented as variable-size arrays of bits packed into 64-bit words. The memory footprint of a bitset is determined by the largest number stored in it.

Annotations
  @SerialVersionUID ( uid = 8483111450368547763L )
Source
  BitSet.scala
See also

  "Scala's Collection Library overview" section on `Mutable Bitsets` for more information.

Linear Supertypes
Serializable, java.io.Serializable, collection.BitSet, BitSetLike[BitSet], SortedSet[Int], collection.SortedSet[Int], SortedSetLike[Int, BitSet], Sorted[Int, BitSet], AbstractSet[Int], Set[Int], SetLike[Int, BitSet], Cloneable[Set[Int]], scala.Cloneable, java.lang.Cloneable, Shrinkable[Int], Builder[Int, BitSet], Growable[Int], Clearable, Scriptable[Int], collection.Set[Int], collection.SetLike[Int, BitSet], Subtractable[Int, BitSet], GenSet[Int], GenericSetTemplate[Int, Set], GenSetLike[Int, BitSet], (Int) ⇒ Boolean, AbstractIterable[Int], Iterable[Int], Traversable[Int], Mutable, collection.AbstractIterable[Int], collection.Iterable[Int], IterableLike[Int, BitSet], Equals, GenIterable[Int], GenIterableLike[Int, BitSet], AbstractTraversable[Int], collection.Traversable[Int], GenTraversable[Int], GenericTraversableTemplate[Int, Set], TraversableLike[Int, BitSet], GenTraversableLike[Int, BitSet], Parallelizable[Int, ParSet[Int]], TraversableOnce[Int], GenTraversableOnce[Int], FilterMonadic[Int, BitSet], HasNewBuilder[Int, BitSet], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BitSet
2. Serializable
3. Serializable
4. BitSet
5. BitSetLike
6. SortedSet
7. SortedSet
8. SortedSetLike
9. Sorted
10. AbstractSet
11. Set
12. SetLike
13. Cloneable
14. Cloneable
15. Cloneable
16. Shrinkable
17. Builder
18. Growable
19. Clearable
20. Scriptable
21. Set
22. SetLike
23. Subtractable
24. GenSet
25. GenericSetTemplate
26. GenSetLike
27. Function1
28. AbstractIterable
29. Iterable
30. Traversable
31. Mutable
32. AbstractIterable
33. Iterable
34. IterableLike
35. Equals
36. GenIterable
37. GenIterableLike
38. AbstractTraversable
39. Traversable
40. GenTraversable
41. GenericTraversableTemplate
42. TraversableLike
43. GenTraversableLike
44. Parallelizable
45. TraversableOnce
46. GenTraversableOnce
47. FilterMonadic
48. HasNewBuilder
49. AnyRef
50. Any

Implicitly

1. by traversable2ops
2. by MonadOps
3. by any2stringadd
4. by any2stringfmt
5. by any2ArrowAssoc
6. by any2Ensuring
7. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new BitSet()

2. #### new BitSet(initSize: Int)

   Creates the bitset of a certain initial size.

   Creates the bitset of a certain initial size.

   initSize

     initial size of the bitset.

3. #### new BitSet(elems: Array[Long])

### Type Members

1. #### type Self = BitSet

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected[this]
   Definition Classes
     TraversableLike

2. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def &(other: collection.BitSet): BitSet

   Computes the intersection between this bitset and another bitset by performing a bitwise "and".

   Computes the intersection between this bitset and another bitset by performing a bitwise "and".

   other

     the bitset to intersect with.

   returns

     a new bitset consisting of all elements that are both in this bitset and in the given bitset `other`.

   Definition Classes
     BitSetLike

5. #### def &(that: GenSet[Int]): BitSet

   Computes the intersection between this set and another set.

   Computes the intersection between this set and another set.

   Note: Same as `intersect`.

   that

     the set to intersect with.

   returns

     a new set consisting of all elements that are both in this set and in the given set `that`.

   Definition Classes
     GenSetLike

6. #### def &~(other: collection.BitSet): BitSet

   Computes the difference of this bitset and another bitset by performing a bitwise "and-not".

   Computes the difference of this bitset and another bitset by performing a bitwise "and-not".

   other

     the set of bits to exclude.

   returns

     a bitset containing those bits of this bitset that are not also contained in the given bitset `other`.

   Definition Classes
     BitSetLike

7. #### def &~(that: GenSet[Int]): BitSet

   The difference of this set and another set.

   The difference of this set and another set.

   Note: Same as `diff`.

   that

     the set of elements to exclude.

   returns

     a set containing those elements of this set that are not also contained in the given set `that`.

   Definition Classes
     GenSetLike

8. #### def +(elem1: Int, elem2: Int, elems: Int*): BitSet

   Creates a new set consisting of all the elements of this set and two or more specified elements.

   Creates a new set consisting of all the elements of this set and two or more specified elements.

   Note that duplicates (elements for which `equals` yields true) will be removed, but it is not specified whether it will be an element of this set or a newly added element.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     a new set consisting of all the elements of this set, `elem1`, `elem2` and those in `elems`.

   Definition Classes
     SetLike → SetLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new set. Use `+=` to add an element to this set and return that set itself.

9. #### def +(elem: Int): BitSet

   Creates a new set consisting of all the elements of this set and `elem`.

   Creates a new set consisting of all the elements of this set and `elem`.

   Note that duplicates (elements for which `equals` yields true) will be removed, but it is not specified whether it will be an element of this set or a newly added element.

   elem

     the element to add.

   returns

     a new set consisting of elements of this set and `elem`.

   Definition Classes
     SetLike → SetLike → GenSetLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new set. Use `+=` to add an element to this set and return that set itself.

10. #### def ++(xs: GenTraversableOnce[Int]): BitSet

    Creates a new set consisting of all the elements of this set and those provided by the specified traversable object.

    Creates a new set consisting of all the elements of this set and those provided by the specified traversable object.

    Note that duplicates (elements for which `equals` yields true) will be removed, but it is not specified whether it will be an element of this set or a newly added element.

    xs

      the traversable object.

    returns

      a new set consisting of elements of this set and those in `xs`.

    Definition Classes
      SetLike → SetLike
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `++` creates a new set. Use `++=` to add elements to this set and return that set itself.

11. #### def ++[B](that: GenTraversableOnce[B]): BitSet[B]

    [use case] Returns a new bitset containing the elements from the left hand operand followed by the elements from the right hand operand.

    [use case]

    Returns a new bitset containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the bitset is the most specific superclass encompassing the element types of the two operands.

    Example:

        scala> val a = LinkedList(1)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

        scala> val b = LinkedList(2)
        b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

        scala> val c = a ++ b
        c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> val d = LinkedList('a')
        d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

        scala> val e = c ++ d
        e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

    B

      the element type of the returned collection.

    that

      the traversable to append.

    returns

      a new bitset which contains all elements of this bitset followed by all elements of `that`.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def ++[B >: Int, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[BitSet, B, That]): That

12. #### def ++:[B >: Int, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[BitSet, B, That]): That

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

    Example:

        scala> val x = List(1)
        x: List[Int] = List(1)

        scala> val y = LinkedList(2)
        y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

        scala> val z = x ++: y
        z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

    Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. In the standard library configuration, `That` is always `BitSet[B]` because an implicit of type `CanBuildFrom[BitSet, B, BitSet]` is defined in object `BitSet`.

    that

      the traversable to append.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`. This is usually the `canBuildFrom` value defined in object `BitSet`.

    returns

      a new collection of type `That` which contains all elements of this bitset followed by all elements of `that`.

    Definition Classes
      TraversableLike

13. #### def ++:[B](that: TraversableOnce[B]): BitSet[B]

    [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    [use case]

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

    Example:

        scala> val x = List(1)
        x: List[Int] = List(1)

        scala> val y = LinkedList(2)
        y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

        scala> val z = x ++: y
        z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    B

      the element type of the returned collection.

    that

      the traversable to append.

    returns

      a new bitset which contains all elements of this bitset followed by all elements of `that`.

    Definition Classes
      TraversableLike
    Full Signature

    #### def ++:[B >: Int, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[BitSet, B, That]): That

14. #### def ++=(xs: TraversableOnce[Int]): BitSet.this.type

    adds all elements produced by a TraversableOnce to this bitset.

    adds all elements produced by a TraversableOnce to this bitset.

    xs

      the TraversableOnce producing the elements to add.

    returns

      the bitset itself.

    Definition Classes
      Growable

15. #### def +=(elem: Int): BitSet.this.type

    Adds a single element to the set.

    Adds a single element to the set.

    elem

      the element to be added.

    returns

      the builder itself.

    Definition Classes
      BitSet → SetLike → Builder → Growable

16. #### def +=(elem1: Int, elem2: Int, elems: Int*): BitSet.this.type

    adds two or more elements to this bitset.

    adds two or more elements to this bitset.

    elem1

      the first element to add.

    elem2

      the second element to add.

    elems

      the remaining elements to add.

    returns

      the bitset itself

    Definition Classes
      Growable

17. #### def -(elem1: Int, elem2: Int, elems: Int*): BitSet

    Creates a new set consisting of all the elements of this set except the two or more specified elements.

    Creates a new set consisting of all the elements of this set except the two or more specified elements.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      a new set consisting of all the elements of this set except `elem1`, `elem2` and `elems`.

    Definition Classes
      SetLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new set. Use `-=` to remove an element from this set and return that set itself.

18. #### def -(elem: Int): BitSet

    Creates a new set consisting of all the elements of this set except `elem`.

    Creates a new set consisting of all the elements of this set except `elem`.

    elem

      the element to remove.

    returns

      a new set consisting of all the elements of this set except `elem`.

    Definition Classes
      SetLike → SetLike → Subtractable → GenSetLike
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new set. Use `-=` to remove an element from this set and return that set itself.

19. #### def --(xs: GenTraversableOnce[Int]): BitSet

    Creates a new set consisting of all the elements of this set except those provided by the specified traversable object.

    Creates a new set consisting of all the elements of this set except those provided by the specified traversable object.

    xs

      the traversable object.

    returns

      a new set consisting of all the elements of this set except elements from `xs`.

    Definition Classes
      SetLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `--` creates a new set. Use `--=` to remove elements from this set and return that set itself.

20. #### def --=(xs: TraversableOnce[Int]): BitSet.this.type

    Removes all elements produced by an iterator from this bitset.

    Removes all elements produced by an iterator from this bitset.

    xs

      the iterator producing the elements to remove.

    returns

      the bitset itself

    Definition Classes
      Shrinkable

21. #### def -=(elem: Int): BitSet.this.type

    Removes a single element from this bitset.

    Removes a single element from this bitset.

    elem

      the element to remove.

    returns

      the bitset itself

    Definition Classes
      BitSet → SetLike → Shrinkable

22. #### def -=(elem1: Int, elem2: Int, elems: Int*): BitSet.this.type

    Removes two or more elements from this bitset.

    Removes two or more elements from this bitset.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      the bitset itself

    Definition Classes
      Shrinkable

23. #### def ->[B](y: B): (BitSet, B)

    Implicit information
      This member is added by an implicit conversion from BitSet to ArrowAssoc[BitSet] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline ()

24. #### def /:[B](z: B)(op: (B, Int) ⇒ B): B

    Applies a binary operator to a start value and all elements of this bitset, going left to right.

    Applies a binary operator to a start value and all elements of this bitset, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this bitset, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this bitset.

    Definition Classes
      TraversableOnce → GenTraversableOnce

25. #### def :\[B](z: B)(op: (Int, B) ⇒ B): B

    Applies a binary operator to all elements of this bitset and a start value, going right to left.

    Applies a binary operator to all elements of this bitset and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this bitset, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this bitset.

    Definition Classes
      TraversableOnce → GenTraversableOnce

26. #### def <<(cmd: Message[Int]): Unit

    Send a message to this scriptable object.

    Send a message to this scriptable object.

    cmd

      the message to send.

    Definition Classes
      SetLike → Scriptable
    Exceptions thrown
      `Predef.UnsupportedOperationException`

      if the message was not understood.

27. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

29. #### def ^(other: collection.BitSet): BitSet

    Computes the symmetric difference of this bitset and another bitset by performing a bitwise "exclusive-or".

    Computes the symmetric difference of this bitset and another bitset by performing a bitwise "exclusive-or".

    other

      the other bitset to take part in the symmetric difference.

    returns

      a bitset containing those bits of this bitset or the other bitset that are not contained in both bitsets.

    Definition Classes
      BitSetLike

30. #### def add(elem: Int): Boolean

    Adds an element to this bitset.

    Adds an element to this bitset.

    elem

      the element to be added

    returns

      `true` if the element was not yet present in the set, `false` otherwise.

    Definition Classes
      BitSet → SetLike

31. #### def addString(sb: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this bitset to a string builder using start, end, and separator strings.

    Appends all elements of this bitset to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this bitset are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      BitSetLike → TraversableOnce

32. #### def addString(b: scala.StringBuilder): scala.StringBuilder

    Appends all elements of this bitset to a string builder.

    Appends all elements of this bitset to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this bitset without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

33. #### def addString(b: scala.StringBuilder, sep: String): scala.StringBuilder

    Appends all elements of this bitset to a string builder using a separator string.

    Appends all elements of this bitset to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this bitset, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

34. #### def aggregate[B](z: B)(seqop: (B, Int) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

35. #### def andThen[A](g: (Boolean) ⇒ A): (Int) ⇒ A

    Composes two instances of Function1 in a new Function1, with this function applied first.

    Composes two instances of Function1 in a new Function1, with this function applied first.

    A

      the result type of function `g`

    g

      a function R => A

    returns

      a new function `f` such that `f(x) == g(apply(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized ()

36. #### def apply(elem: Int): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    This method is equivalent to `contains`. It allows sets to be interpreted as predicates.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      GenSetLike → Function1

37. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

38. #### def asParIterable: ParIterable[Int]

    Implicit information
      This member is added by an implicit conversion from BitSet to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

39. #### def asParSeq: ParSeq[Int]

    Implicit information
      This member is added by an implicit conversion from BitSet to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

40. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this bitset should be compared

    returns

      `true`, if this bitset can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

41. #### def clear(): Unit

    Removes all elements from the set.

    Removes all elements from the set. After this operation is completed, the set will be empty.

    Definition Classes
      BitSet → SetLike → Builder → Growable → Clearable

42. #### def clone(): BitSet

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      BitSet → SetLike → Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

43. #### def collect[B](pf: PartialFunction[A, B]): BitSet[B]

    [use case] Builds a new collection by applying a partial function to all elements of this bitset on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this bitset on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the bitset.

    returns

      a new bitset resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[Int, B])(implicit bf: CanBuildFrom[BitSet, B, That]): That

44. #### def collectFirst[B](pf: PartialFunction[Int, B]): Option[B]

    Finds the first element of the bitset for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the bitset for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

45. #### def companion: GenericCompanion[Set]

    The factory companion object that builds instances of class `BitSet`.

    The factory companion object that builds instances of class `BitSet`. (or its `Iterable` superclass where class `BitSet` is not a `Seq`.)

    Definition Classes
      Set → Set → GenSet → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

46. #### def compare(k0: Int, k1: Int): Int

    Comparison function that orders keys.

    Comparison function that orders keys.

    Definition Classes
      Sorted

47. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ Boolean

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized ()

48. #### def contains(elem: Int): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      BitSetLike → SetLike → GenSetLike

49. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this bitset to an array.

    [use case]

    Copies elements of this bitset to an array. Fills the given array `xs` with at most `len` elements of this bitset, starting at position `start`. Copying will stop once either the end of the current bitset is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Int](xs: Array[B], start: Int, len: Int): Unit

50. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this bitset to an array.

    [use case]

    Copies values of this bitset to an array. Fills the given array `xs` with values of this bitset. Copying will stop once either the end of the current bitset is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Int](xs: Array[B]): Unit

51. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this bitset to an array.

    [use case]

    Copies values of this bitset to an array. Fills the given array `xs` with values of this bitset, beginning at index `start`. Copying will stop once either the end of the current bitset is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Int](xs: Array[B], start: Int): Unit

52. #### def copyToBuffer[B >: Int](dest: Buffer[B]): Unit

    Copies all elements of this bitset to a buffer.

    Copies all elements of this bitset to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

53. #### def count(p: (Int) ⇒ Boolean): Int

    Counts the number of elements in the bitset which satisfy a predicate.

    Counts the number of elements in the bitset which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

54. #### def diff(that: GenSet[Int]): BitSet

    Computes the difference of this set and another set.

    Computes the difference of this set and another set.

    that

      the set of elements to exclude.

    returns

      a set containing those elements of this set that are not also contained in the given set `that`.

    Definition Classes
      SetLike → GenSetLike

55. #### def drop(n: Int): BitSet

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this bitset.

    returns

      a bitset consisting of all elements of this bitset except the first `n` ones, or else the empty bitset, if this bitset has less than `n` elements.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

56. #### def dropRight(n: Int): BitSet

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a bitset consisting of all elements of this bitset except the last `n` ones, or else the empty bitset, if this bitset has less than `n` elements.

    Definition Classes
      IterableLike

57. #### def dropWhile(p: (Int) ⇒ Boolean): BitSet

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    returns

      the longest suffix of this bitset whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

58. #### var elems: Array[Long]

    Attributes
      protected

59. #### def empty: BitSet

    The empty set of the same type as this set

    The empty set of the same type as this set

    returns

      an empty set of type `This`.

    Definition Classes
      BitSet → BitSet → BitSetLike → SortedSet → SortedSet → SetLike → GenericSetTemplate

60. #### def ensuring(cond: (BitSet) ⇒ Boolean, msg: ⇒ Any): BitSet

    Implicit information
      This member is added by an implicit conversion from BitSet to Ensuring[BitSet] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

61. #### def ensuring(cond: (BitSet) ⇒ Boolean): BitSet

    Implicit information
      This member is added by an implicit conversion from BitSet to Ensuring[BitSet] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

62. #### def ensuring(cond: Boolean, msg: ⇒ Any): BitSet

    Implicit information
      This member is added by an implicit conversion from BitSet to Ensuring[BitSet] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

63. #### def ensuring(cond: Boolean): BitSet

    Implicit information
      This member is added by an implicit conversion from BitSet to Ensuring[BitSet] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

64. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

65. #### def equals(that: Any): Boolean

    Compares this set with another object for equality.

    Compares this set with another object for equality.

    Note: This operation contains an unchecked cast: if `that` is a set, it will assume with an unchecked cast that it has the same element type as this set. Any subsequent ClassCastException is treated as a `false` result.

    that

      the other object

    returns

      `true` if `that` is a set which contains the same elements as this set.

    Definition Classes
      GenSetLike → Equals → AnyRef → Any

66. #### def exists(p: (Int) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this bitset.

    Tests whether a predicate holds for some of the elements of this bitset.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this bitset, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

67. #### def filter(p: (Int) ⇒ Boolean): BitSet

    Selects all elements of this bitset which satisfy a predicate.

    Selects all elements of this bitset which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new bitset consisting of all elements of this bitset that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

68. #### def filterNot(p: (Int) ⇒ Boolean): BitSet

    Selects all elements of this bitset which do not satisfy a predicate.

    Selects all elements of this bitset which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new bitset consisting of all elements of this bitset that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

69. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

70. #### def find(p: (Int) ⇒ Boolean): Option[Int]

    Finds the first element of the bitset satisfying a predicate, if any.

    Finds the first element of the bitset satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the bitset that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

71. #### def firstKey: Int

    Returns the first key of the collection.

    Returns the first key of the collection.

    Definition Classes
      SortedSetLike → Sorted

72. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): BitSet[B]

    [use case] Builds a new collection by applying a function to all elements of this bitset and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this bitset and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of bitset. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new bitset resulting from applying the given collection-valued function `f` to each element of this bitset and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (Int) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[BitSet, B, That]): That

73. #### def flatten[B]: BitSet[B]

    [use case] Converts this bitset of traversable collections into a bitset formed by the elements of these traversable collections.

    [use case]

    Converts this bitset of traversable collections into a bitset formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of bitset. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new bitset resulting from concatenating all element bitsets.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (Int) ⇒ GenTraversableOnce[B]): Set[B]

74. #### def fold[A1 >: Int](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this bitset using the specified associative binary operator.

    Folds the elements of this bitset using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

75. #### def foldLeft[B](z: B)(op: (B, Int) ⇒ B): B

    Applies a binary operator to a start value and all elements of this bitset, going left to right.

    Applies a binary operator to a start value and all elements of this bitset, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this bitset, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this bitset.

    Definition Classes
      TraversableOnce → GenTraversableOnce

76. #### def foldRight[B](z: B)(op: (Int, B) ⇒ B): B

    Applies a binary operator to all elements of this bitset and a start value, going right to left.

    Applies a binary operator to all elements of this bitset and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this bitset, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this bitset.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

77. #### def forall(p: (Int) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this bitset.

    Tests whether a predicate holds for all elements of this bitset.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this bitset, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

78. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this bitset.

    [use case]

    Applies a function `f` to all elements of this bitset.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      BitSetLike → IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[B](f: (Int) ⇒ B): Unit

79. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from BitSet to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

80. #### def from(from: Int): BitSet

    Creates a ranged projection of this collection with no upper-bound.

    Creates a ranged projection of this collection with no upper-bound.

    from

      The lower-bound (inclusive) of the ranged projection.

    Definition Classes
      SortedSetLike → Sorted

81. #### def fromBitMaskNoCopy(words: Array[Long]): BitSet

    Creates a new set of this kind from an array of longs

    Creates a new set of this kind from an array of longs

    Attributes
      protected
    Definition Classes
      BitSet → BitSetLike

82. #### def genericBuilder[B]: Builder[B, Set[B]]

    The generic builder that builds instances of `BitSet` at arbitrary element types.

    The generic builder that builds instances of `BitSet` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

83. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

84. #### def groupBy[K](f: (Int) ⇒ K): immutable.Map[K, BitSet]

    Partitions this bitset into a map of bitsets according to some discriminator function.

    Partitions this bitset into a map of bitsets according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new bitset.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to bitsets such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a bitset of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

85. #### def grouped(size: Int): Iterator[BitSet]

    Partitions elements in fixed size bitsets.

    Partitions elements in fixed size bitsets.

    size

      the number of elements per group

    returns

      An iterator producing bitsets of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

86. #### def hasAll(j: Iterator[Int]): Boolean

    Attributes
      protected
    Definition Classes
      Sorted

87. #### def hasDefiniteSize: Boolean

    Tests whether this bitset is known to have a finite size.

    Tests whether this bitset is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

88. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenSetLike → AnyRef → Any

89. #### def head: Int

    Selects the first element of this bitset.

    Selects the first element of this bitset.

    returns

      the first element of this bitset.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the bitset is empty.

90. #### def headOption: Option[Int]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this bitset if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

91. #### def ifParSeq[R](isbody: (ParSeq[Int]) ⇒ R): (TraversableOps[Int])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from BitSet to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

92. #### def init: BitSet

    Selects all elements except the last.

    Selects all elements except the last.

    returns

      a bitset consisting of all elements of this bitset except the last one.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the bitset is empty.

93. #### def inits: Iterator[BitSet]

    Iterates over the inits of this bitset.

    Iterates over the inits of this bitset. The first value will be this bitset and the final one will be an empty bitset, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this bitset

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

94. #### def intersect(that: GenSet[Int]): BitSet

    Computes the intersection between this set and another set.

    Computes the intersection between this set and another set.

    that

      the set to intersect with.

    returns

      a new set consisting of all elements that are both in this set and in the given set `that`.

    Definition Classes
      GenSetLike

95. #### def isEmpty: Boolean

    Tests if this set is empty.

    Tests if this set is empty.

    returns

      `true` if there is no element in the set, `false` otherwise.

    Definition Classes
      SetLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

96. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

97. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from BitSet to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

98. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from BitSet to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

99. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from BitSet to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

100. #### final def isTraversableAgain: Boolean

     Tests whether this bitset can be repeatedly traversed.

     Tests whether this bitset can be repeatedly traversed.

     returns

       `true`

     Definition Classes
       TraversableLike → GenTraversableLike → GenTraversableOnce

101. #### def iterator: Iterator[Int]

     Creates a new iterator over all elements contained in this iterable object.

     Creates a new iterator over all elements contained in this iterable object.

     returns

       the new iterator

     Definition Classes
       BitSetLike → GenSetLike → IterableLike → GenIterableLike

102. #### def keySet: BitSet

     return as a projection the set of keys in this collection

     return as a projection the set of keys in this collection

     Definition Classes
       SortedSetLike → Sorted

103. #### def last: Int

     Selects the last element.

     Selects the last element.

     returns

       The last element of this bitset.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       NoSuchElementException

       If the bitset is empty.

104. #### def lastKey: Int

     Returns the last key of the collection.

     Returns the last key of the collection.

     Definition Classes
       SortedSetLike → Sorted

105. #### def lastOption: Option[Int]

     Optionally selects the last element.

     Optionally selects the last element.

     returns

       the last element of this bitset$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike → GenTraversableLike

106. #### def map[B](f: (A) ⇒ B): BitSet[B]

     [use case] Builds a new collection by applying a function to all elements of this bitset.

     [use case]

     Builds a new collection by applying a function to all elements of this bitset.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new bitset resulting from applying the given function `f` to each element of this bitset and collecting the results.

     Definition Classes
       SetLike → TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

     #### def map[B, That](f: (Int) ⇒ B)(implicit bf: CanBuildFrom[BitSet, B, That]): That

107. #### def mapResult[NewTo](f: (BitSet) ⇒ NewTo): Builder[Int, NewTo]

     Creates a new builder by applying a transformation function to the results of this builder.

     Creates a new builder by applying a transformation function to the results of this builder.

     NewTo

       the type of collection returned by `f`.

     f

       the transformation function.

     returns

       a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

     Definition Classes
       Builder

108. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this bitset.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def max[B >: Int](implicit cmp: Ordering[B]): Int

109. #### def maxBy[B](f: (Int) ⇒ B)(implicit cmp: Ordering[B]): Int

     Definition Classes
       TraversableOnce → GenTraversableOnce

110. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this bitset

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[B >: Int](implicit cmp: Ordering[B]): Int

111. #### def minBy[B](f: (Int) ⇒ B)(implicit cmp: Ordering[B]): Int

     Definition Classes
       TraversableOnce → GenTraversableOnce

112. #### def mkString: String

     Displays all elements of this bitset in a string.

     Displays all elements of this bitset in a string.

     returns

       a string representation of this bitset. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this bitset follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

113. #### def mkString(sep: String): String

     Displays all elements of this bitset in a string using a separator string.

     Displays all elements of this bitset in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this bitset. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this bitset are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

114. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this bitset in a string using start, end, and separator strings.

     Displays all elements of this bitset in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this bitset. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this bitset are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

115. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

116. #### def newBuilder: Builder[Int, BitSet]

     A common implementation of `newBuilder` for all mutable sets in terms of `empty`.

     A common implementation of `newBuilder` for all mutable sets in terms of `empty`. Overrides the implementation in `collection.SetLike` for better efficiency.

     Attributes
       protected[this]
     Definition Classes
       SetLike → SetLike → TraversableLike → HasNewBuilder

117. #### def nonEmpty: Boolean

     Tests whether the bitset is not empty.

     Tests whether the bitset is not empty.

     returns

       `true` if the bitset contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

118. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

119. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

120. #### def nwords: Int

     The number of words (each with 64 bits) making up the set

     The number of words (each with 64 bits) making up the set

     Attributes
       protected
     Definition Classes
       BitSet → BitSetLike

121. #### implicit def ordering: Ordering[Int]

     Definition Classes
       BitSetLike → SortedSetLike → Sorted

122. #### def par: ParSet[Int]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

123. #### def parCombiner: Combiner[Int, ParSet[Int]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       SetLike → SetLike → TraversableLike → Parallelizable

124. #### def partition(p: (Int) ⇒ Boolean): (BitSet, BitSet)

     Partitions this bitset in two bitsets according to a predicate.

     Partitions this bitset in two bitsets according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of bitsets: the first bitset consists of all elements that satisfy the predicate `p` and the second bitset consists of all elements that don't. The relative order of the elements in the resulting bitsets is the same as in the original bitset.

     Definition Classes
       TraversableLike → GenTraversableLike

125. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this bitset of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the bitset and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: Int](implicit num: Numeric[B]): B

126. #### def range(from: Int, until: Int): BitSet

     Creates a ranged projection of this collection with both a lower-bound and an upper-bound.

     Creates a ranged projection of this collection with both a lower-bound and an upper-bound.

     from

       The upper-bound (exclusive) of the ranged projection.

     Definition Classes
       SortedSetLike → Sorted

127. #### def rangeImpl(from: Option[Int], until: Option[Int]): BitSet

     Creates a ranged projection of this collection.

     Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa.

     Note: keys are not garuanteed to be consistent between this collection and the projection. This is the case for buffers where indexing is relative to the projection.

     from

       The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.

     until

       The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.

     Definition Classes
       BitSetLike → SortedSetLike → Sorted

128. #### def reduce[A1 >: Int](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this bitset using the specified associative binary operator.

     Reduces the elements of this bitset using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the bitset is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this bitset is empty.

129. #### def reduceLeft[B >: Int](op: (B, Int) ⇒ B): B

     Applies a binary operator to all elements of this bitset, going left to right.

     Applies a binary operator to all elements of this bitset, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this bitset, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this bitset.

     Definition Classes
       TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this bitset is empty.

130. #### def reduceLeftOption[B >: Int](op: (B, Int) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this bitset, going left to right.

     Optionally applies a binary operator to all elements of this bitset, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this bitset is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

131. #### def reduceOption[A1 >: Int](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this bitset, if any, using the specified associative binary operator.

     Reduces the elements of this bitset, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

132. #### def reduceRight[B >: Int](op: (Int, B) ⇒ B): B

     Applies a binary operator to all elements of this bitset, going right to left.

     Applies a binary operator to all elements of this bitset, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this bitset, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this bitset.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this bitset is empty.

133. #### def reduceRightOption[B >: Int](op: (Int, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this bitset, going right to left.

     Optionally applies a binary operator to all elements of this bitset, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this bitset is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

134. #### def remove(elem: Int): Boolean

     Removes an element from this set.

     Removes an element from this set.

     elem

       The element to be removed.

     returns

       `true` if the element was previously present in the set, `false` otherwise.

     Definition Classes
       BitSet → SetLike

135. #### def repr: BitSet

     The collection of type bitset underlying this `TraversableLike` object.

     The collection of type bitset underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

136. #### def result(): BitSet

     The result when this set is used as a builder

     The result when this set is used as a builder

     returns

       the set representation itself.

     Definition Classes
       SetLike → Builder

137. #### def retain(p: (Int) ⇒ Boolean): Unit

     Removes all elements from the set for which do not satisfy a predicate.

     Removes all elements from the set for which do not satisfy a predicate.

     p

       the predicate used to test elements. Only elements for which `p` returns `true` are retained in the set; all others are removed.

     Definition Classes
       SetLike

138. #### def reversed: List[Int]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

139. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this bitset.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this bitset.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: Int](that: GenIterable[B]): Boolean

140. #### def scan[B >: Int, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[BitSet, B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new bitset containing the prefix scan of the elements in this bitset

     Definition Classes
       TraversableLike → GenTraversableLike

141. #### def scanLeft[B, That](z: B)(op: (B, Int) ⇒ B)(implicit bf: CanBuildFrom[BitSet, B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`. This is usually the `canBuildFrom` value defined in object `BitSet`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

142. #### def scanRight[B, That](z: B)(op: (Int, B) ⇒ B)(implicit bf: CanBuildFrom[BitSet, B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`. This is usually the `canBuildFrom` value defined in object `BitSet`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

143. #### def seq: Set[Int]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Set → Set → GenSet → GenSetLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

144. #### def size: Int

     The size of this bitset.

     The size of this bitset.

     returns

       the number of elements in this bitset.

     Definition Classes
       BitSetLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

145. #### def sizeHint(coll: TraversableLike[_, _], delta: Int): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder

146. #### def sizeHint(coll: TraversableLike[_, _]): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     Definition Classes
       Builder

147. #### def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder

148. #### def sizeHintBounded(size: Int, boundingColl: TraversableLike[_, _]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder

149. #### def slice(from: Int, until: Int): BitSet

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     returns

       a bitset containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this bitset.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

150. #### def sliding(size: Int, step: Int): Iterator[BitSet]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing bitsets of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

151. #### def sliding(size: Int): Iterator[BitSet]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing bitsets of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

152. #### def span(p: (Int) ⇒ Boolean): (BitSet, BitSet)

     Splits this bitset into a prefix/suffix pair according to a predicate.

     Splits this bitset into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     returns

       a pair consisting of the longest prefix of this bitset whose elements all satisfy `p`, and the rest of this bitset.

     Definition Classes
       TraversableLike → GenTraversableLike

153. #### def splitAt(n: Int): (BitSet, BitSet)

     Splits this bitset into two at a given position.

     Splits this bitset into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of bitsets consisting of the first `n` elements of this bitset, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

154. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this set. Unless overridden this is simply `"Set"`.

     Definition Classes
       BitSetLike → SetLike → TraversableLike → GenTraversableLike

155. #### def subsetOf(other: collection.BitSet): Boolean

     Tests whether this bitset is a subset of another bitset.

     Tests whether this bitset is a subset of another bitset.

     other

       the bitset to test.

     returns

       `true` if this bitset is a subset of `other`, i.e. if every bit of this set is also an element in `other`.

     Definition Classes
       BitSetLike

156. #### def subsetOf(that: GenSet[Int]): Boolean

     Tests whether this set is a subset of another set.

     Tests whether this set is a subset of another set.

     that

       the set to test.

     returns

       `true` if this set is a subset of `that`, i.e. if every element of this set is also an element of `that`.

     Definition Classes
       SortedSetLike → GenSetLike

157. #### def subsets: Iterator[BitSet]

     An iterator over all subsets of this set.

     An iterator over all subsets of this set.

     returns

       the iterator.

     Definition Classes
       SetLike

158. #### def subsets(len: Int): Iterator[BitSet]

     An iterator over all subsets of this set of the given size.

     An iterator over all subsets of this set of the given size. If the requested size is impossible, an empty iterator is returned.

     len

       the size of the subsets.

     returns

       the iterator.

     Definition Classes
       SetLike

159. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this bitset of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the bitset and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: Int](implicit num: Numeric[B]): B

160. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

161. #### def tail: BitSet

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a bitset consisting of all elements of this bitset except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the bitset is empty.

162. #### def tails: Iterator[BitSet]

     Iterates over the tails of this bitset.

     Iterates over the tails of this bitset. The first value will be this bitset and the final one will be an empty bitset, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this bitset

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

163. #### def take(n: Int): BitSet

     Selects first n elements.

     Selects first n elements.

     n

       the number of elements to take from this bitset.

     returns

       a bitset consisting only of the first `n` elements of this bitset, or else the whole bitset, if it has less than `n` elements.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

164. #### def takeRight(n: Int): BitSet

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a bitset consisting only of the last `n` elements of this bitset, or else the whole bitset, if it has less than `n` elements.

     Definition Classes
       IterableLike

165. #### def takeWhile(p: (Int) ⇒ Boolean): BitSet

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     returns

       the longest prefix of this bitset whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

166. #### def thisCollection: collection.Iterable[Int]

     The underlying collection seen as an instance of ``BitSet``.

     The underlying collection seen as an instance of ``BitSet``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

167. #### def to(to: Int): BitSet

     Create a range projection of this collection with no lower-bound.

     Create a range projection of this collection with no lower-bound.

     to

       The upper-bound (inclusive) of the ranged projection.

     Definition Classes
       Sorted

168. #### def to[Col[_]]: Col[A]

     [use case] Converts this bitset into another by copying all elements.

     [use case]

     Converts this bitset into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this bitset.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, Int, Col[Int]]): Col[Int]

169. #### def toArray: Array[A]

     [use case] Converts this bitset to an array.

     [use case]

     Converts this bitset to an array.

     returns

       an array containing all elements of this bitset. An `ClassTag` must be available for the element type of this bitset.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: Int](implicit arg0: ClassTag[B]): Array[B]

170. #### def toBitMask: Array[Long]

     Creates a bit mask for this set as a new array of longs

     Creates a bit mask for this set as a new array of longs

     Definition Classes
       BitSetLike

171. #### def toBuffer[A1 >: Int]: Buffer[A1]

     Converts this bitset to a mutable buffer.

     Converts this bitset to a mutable buffer.

     returns

       a buffer containing all elements of this bitset.

     Definition Classes
       SetLike → TraversableOnce → GenTraversableOnce

172. #### def toCollection(repr: BitSet): collection.Iterable[Int]

     A conversion from collections of type `Repr` to ``BitSet`` objects.

     A conversion from collections of type `Repr` to ``BitSet`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

173. #### def toImmutable: immutable.BitSet

     Wraps this bitset as an immutable bitset backed by the array of bits of this bitset.

     Wraps this bitset as an immutable bitset backed by the array of bits of this bitset.

     returns

       an immutable set containing all the elements of this set.

     Note

       Subsequent changes in this bitset will be reflected in the returned immutable bitset.

174. #### def toIndexedSeq: immutable.IndexedSeq[Int]

     Converts this bitset to an indexed sequence.

     Converts this bitset to an indexed sequence.

     returns

       an indexed sequence containing all elements of this bitset.

     Definition Classes
       TraversableOnce → GenTraversableOnce

175. #### def toIterable: collection.Iterable[Int]

     Converts this bitset to an iterable collection.

     Converts this bitset to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this bitset.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

176. #### def toIterator: Iterator[Int]

     Returns an Iterator over the elements in this bitset.

     Returns an Iterator over the elements in this bitset. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this bitset.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

177. #### def toList: List[Int]

     Converts this bitset to a list.

     Converts this bitset to a list.

     returns

       a list containing all elements of this bitset.

     Definition Classes
       TraversableOnce → GenTraversableOnce

178. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this bitset to a map.

     [use case]

     Converts this bitset to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this bitset.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[Int, (T, U)]): immutable.Map[T, U]

179. #### def toParArray: ParArray[Int]

     Implicit information
       This member is added by an implicit conversion from BitSet to TraversableOps[Int] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

180. #### def toSeq: collection.Seq[Int]

     Converts this bitset to a sequence.

     Converts this bitset to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     returns

       a sequence containing all elements of this bitset.

     Definition Classes
       SetLike → TraversableOnce → GenTraversableOnce

181. #### def toSet[B >: Int]: immutable.Set[B]

     Converts this bitset to a set.

     Converts this bitset to a set.

     returns

       a set containing all elements of this bitset.

     Definition Classes
       TraversableOnce → GenTraversableOnce

182. #### def toStream: immutable.Stream[Int]

     Converts this bitset to a stream.

     Converts this bitset to a stream.

     returns

       a stream containing all elements of this bitset.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

183. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       SetLike → Function1 → TraversableLike → AnyRef → Any

184. #### def toTraversable: collection.Traversable[Int]

     Converts this bitset to an unspecified Traversable.

     Converts this bitset to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this bitset.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

185. #### def toVector: Vector[Int]

     Converts this bitset to a Vector.

     Converts this bitset to a Vector.

     returns

       a vector containing all elements of this bitset.

     Definition Classes
       TraversableOnce → GenTraversableOnce

186. #### def transpose[B](implicit asTraversable: (Int) ⇒ GenTraversableOnce[B]): Set[Set[B]]

     Transposes this bitset of traversable collections into a bitset of bitsets.

     Transposes this bitset of traversable collections into a bitset of bitsets.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this bitset is a `Traversable`.

     returns

       a two-dimensional bitset of bitsets which has as nth row the nth column of this bitset.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this bitset are not of the same size.

187. #### def union(that: GenSet[Int]): BitSet

     Computes the union between of set and another set.

     Computes the union between of set and another set.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       SetLike → GenSetLike

188. #### def until(until: Int): BitSet

     Creates a ranged projection of this collection with no lower-bound.

     Creates a ranged projection of this collection with no lower-bound.

     until

       The upper-bound (exclusive) of the ranged projection.

     Definition Classes
       SortedSetLike → Sorted

189. #### def unzip[A1, A2](implicit asPair: (Int) ⇒ (A1, A2)): (Set[A1], Set[A2])

     Converts this bitset of pairs into two collections of the first and second half of each pair.

     Converts this bitset of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this bitset is a pair.

     returns

       a pair bitsets, containing the first, respectively second half of each element pair of this bitset.

     Definition Classes
       GenericTraversableTemplate

190. #### def unzip3[A1, A2, A3](implicit asTriple: (Int) ⇒ (A1, A2, A3)): (Set[A1], Set[A2], Set[A3])

     Converts this bitset of triples into three collections of the first, second, and third element of each triple.

     Converts this bitset of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this bitset is a triple.

     returns

       a triple bitsets, containing the first, second, respectively third member of each element triple of this bitset.

     Definition Classes
       GenericTraversableTemplate

191. #### def update(elem: Int, included: Boolean): Unit

     Updates the presence of a single element in this set.

     Updates the presence of a single element in this set.

     This method allows one to add or remove an element `elem` from this set depending on the value of parameter `included`. Typically, one would use the following syntax:

         set(elem) = true  // adds element
         set(elem) = false // removes element

     elem

       the element to be added or removed

     included

       a flag indicating whether element should be included or excluded.

     Definition Classes
       SetLike

192. #### def view(from: Int, until: Int): IterableView[Int, BitSet]

     Creates a non-strict view of a slice of this bitset.

     Creates a non-strict view of a slice of this bitset.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current bitset, whereas `slice` produces a new bitset.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this bitset, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       IterableLike → TraversableLike

193. #### def view: IterableView[Int, BitSet]

     Creates a non-strict view of this bitset.

     Creates a non-strict view of this bitset.

     returns

       a non-strict view of this bitset.

     Definition Classes
       IterableLike → TraversableLike

194. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

195. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

196. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

197. #### def withFilter(p: (Int) ⇒ Boolean): FilterMonadic[Int, BitSet]

     Creates a non-strict filter of this bitset.

     Creates a non-strict filter of this bitset.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this bitset which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

198. #### def word(idx: Int): Long

     The words at index `idx`, or 0L if outside the range of the set Note: requires `idx >= 0`

     The words at index `idx`, or 0L if outside the range of the set Note: requires `idx >= 0`

     Attributes
       protected
     Definition Classes
       BitSet → BitSetLike

199. #### def zip[B](that: GenIterable[B]): BitSet[(A, B)]

     [use case] Returns a bitset formed from this bitset and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a bitset formed from this bitset and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new bitset containing pairs consisting of corresponding elements of this bitset and `that`. The length of the returned collection is the minimum of the lengths of this bitset and `that`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: Int, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[BitSet, (A1, B), That]): That

200. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): BitSet[(A, B)]

     [use case] Returns a bitset formed from this bitset and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a bitset formed from this bitset and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this bitset is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this bitset.

     returns

       a new bitset containing pairs consisting of corresponding elements of this bitset and `that`. The length of the returned collection is the maximum of the lengths of this bitset and `that`. If this bitset is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this bitset, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: Int, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[BitSet, (A1, B), That]): That

201. #### def zipWithIndex: BitSet[(A, Int)]

     [use case] Zips this bitset with its indices.

     [use case]

     Zips this bitset with its indices.

     returns

       A new bitset containing pairs consisting of all elements of this bitset paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: Int, That](implicit bf: CanBuildFrom[BitSet, (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

202. #### def |(other: collection.BitSet): BitSet

     Computes the union between this bitset and another bitset by performing a bitwise "or".

     Computes the union between this bitset and another bitset by performing a bitwise "or".

     other

       the bitset to form the union with.

     returns

       a new bitset consisting of all bits that are in this bitset or in the given bitset `other`.

     Definition Classes
       BitSetLike

203. #### def |(that: GenSet[Int]): BitSet

     Computes the union between this set and another set.

     Computes the union between this set and another set.

     Note: Same as `union`.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       GenSetLike

204. #### def →[B](y: B): (BitSet, B)

     Implicit information
       This member is added by an implicit conversion from BitSet to ArrowAssoc[BitSet] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from BitSet to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (bitSet: StringAdd).+(other)

   Definition Classes
     StringAdd

2. #### def filter(p: (Int) ⇒ Boolean): TraversableOnce[Int]

   Implicit information
     This member is added by an implicit conversion from BitSet to MonadOps[Int] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (bitSet: MonadOps[Int]).filter(p)

   Definition Classes
     MonadOps

3. #### def flatMap[B](f: (Int) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from BitSet to MonadOps[Int] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (bitSet: MonadOps[Int]).flatMap(f)

   Definition Classes
     MonadOps

4. #### def map[B](f: (Int) ⇒ B): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from BitSet to MonadOps[Int] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (bitSet: MonadOps[Int]).map(f)

   Definition Classes
     MonadOps

5. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from BitSet to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (bitSet: StringAdd).self

   Definition Classes
     StringAdd

6. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from BitSet to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (bitSet: StringFormat).self

   Definition Classes
     StringFormat

7. #### def withFilter(p: (Int) ⇒ Boolean): Iterator[Int]

   Implicit information
     This member is added by an implicit conversion from BitSet to MonadOps[Int] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (bitSet: MonadOps[Int]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: Int](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: BitSet

   Implicit information
     This member is added by an implicit conversion from BitSet to ArrowAssoc[BitSet] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (bitSet: ArrowAssoc[BitSet]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: BitSet

   Implicit information
     This member is added by an implicit conversion from BitSet to Ensuring[BitSet] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (bitSet: Ensuring[BitSet]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from collection.BitSet

### Inherited from BitSetLike[BitSet]

### Inherited from SortedSet[Int]

### Inherited from collection.SortedSet[Int]

### Inherited from SortedSetLike[Int, BitSet]

### Inherited from Sorted[Int, BitSet]

### Inherited from AbstractSet[Int]

### Inherited from Set[Int]

### Inherited from SetLike[Int, BitSet]

### Inherited from Cloneable[Set[Int]]

### Inherited from scala.Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Shrinkable[Int]

### Inherited from Builder[Int, BitSet]

### Inherited from Growable[Int]

### Inherited from Clearable

### Inherited from Scriptable[Int]

### Inherited from collection.Set[Int]

### Inherited from collection.SetLike[Int, BitSet]

### Inherited from Subtractable[Int, BitSet]

### Inherited from GenSet[Int]

### Inherited from GenericSetTemplate[Int, Set]

### Inherited from GenSetLike[Int, BitSet]

### Inherited from (Int) ⇒ Boolean

### Inherited from AbstractIterable[Int]

### Inherited from Iterable[Int]

### Inherited from Traversable[Int]

### Inherited from Mutable

### Inherited from collection.AbstractIterable[Int]

### Inherited from collection.Iterable[Int]

### Inherited from IterableLike[Int, BitSet]

### Inherited from Equals

### Inherited from GenIterable[Int]

### Inherited from GenIterableLike[Int, BitSet]

### Inherited from AbstractTraversable[Int]

### Inherited from collection.Traversable[Int]

### Inherited from GenTraversable[Int]

### Inherited from GenericTraversableTemplate[Int, Set]

### Inherited from TraversableLike[Int, BitSet]

### Inherited from GenTraversableLike[Int, BitSet]

### Inherited from Parallelizable[Int, ParSet[Int]]

### Inherited from TraversableOnce[Int]

### Inherited from GenTraversableOnce[Int]

### Inherited from FilterMonadic[Int, BitSet]

### Inherited from HasNewBuilder[Int, BitSet]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from BitSet to TraversableOps[Int]

### Inherited by implicit conversion MonadOps from BitSet to MonadOps[Int]

### Inherited by implicit conversion any2stringadd from BitSet to StringAdd

### Inherited by implicit conversion any2stringfmt from BitSet to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from BitSet to ArrowAssoc[BitSet]

### Inherited by implicit conversion any2Ensuring from BitSet to Ensuring[BitSet]

### Inherited by implicit conversion alternateImplicit from BitSet to ForceImplicitAmbiguity

### Ungrouped